#flashcard-app {
    width: 100%;
    max-width: 520px;
    margin: 1rem auto;
    position: relative;
    overflow: hidden;
    -webkit-backface-visibility: hidden;
    backface-visibility: hidden;
    transform: translateZ(0);
    -webkit-transform: translateZ(0);
    -moz-transform: translateZ(0);
    -ms-transform: translateZ(0);
    -o-transform: translateZ(0);
}

#flashcard-deck {
    position: relative;
    width: 100%;
    height: 300px;
    z-index: 2;
    -webkit-backface-visibility: hidden;
    backface-visibility: hidden;
    transform: translateZ(0);
    -webkit-transform: translateZ(0);
    -moz-transform: translateZ(0);
    -ms-transform: translateZ(0);
    -o-transform: translateZ(0);

}

.flashcard {
    width: 100%;
    height: 280px;
    position: absolute;
    border: 1px solid rgba(0, 0, 0, 0.125);
    -webkit-box-shadow: 0px 3px 6px -3px rgba(0, 0, 0, 0.05);
    box-shadow: 0px 3px 6px -3px rgba(0, 0, 0, 0.05);
    border-radius: 8px;
    overflow: hidden;
    -webkit-transition: all .75s cubic-bezier(0.4, 0.0, 0.6, 1);
    -o-transition: all .75s cubic-bezier(0.4, 0.0, 0.6, 1);
    transition: all .75s cubic-bezier(0.4, 0.0, 0.6, 1);
    opacity: 1;
    -webkit-transform: translate3d(150%, 100px, 0) rotate(15deg) scale(.9);
    transform: translate3d(150%, 100px, 0) rotate(15deg) scale(.9);
    background-color: transparent;
    -webkit-perspective: 1000px;
    perspective: 1000px;
    -webkit-backface-visibility: hidden;
    backface-visibility: hidden;
    -webkit-filter: blur(2px);
    filter: blur(2px);
    cursor: pointer;
}

.flashcard-inner {
    position: relative;
    width: 100%;
    height: 100%;
    text-align: center;
    -webkit-transition: -webkit-transform 0.3s cubic-bezier(0.4, 0.0, 0.6, 1);
    transition: -webkit-transform 0.3s cubic-bezier(0.4, 0.0, 0.6, 1);
    -o-transition: transform 0.3s cubic-bezier(0.4, 0.0, 0.6, 1);
    transition: transform 0.3s cubic-bezier(0.4, 0.0, 0.6, 1);
    transition: transform 0.3s cubic-bezier(0.4, 0.0, 0.6, 1), -webkit-transform 0.3s cubic-bezier(0.4, 0.0, 0.6, 1);
    -webkit-transform-style: preserve-3d;
    transform-style: preserve-3d;
    -webkit-box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2);
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2);
    -webkit-backface-visibility: hidden;
    backface-visibility: hidden;
    transform: translateZ(0);
    -webkit-transform: translateZ(0);
    -moz-transform: translateZ(0);
    -ms-transform: translateZ(0);
    -o-transform: translateZ(0);

}

.flashcard-front,
.flashcard-back {
    position: absolute;
    width: 100%;
    height: 100%;
    -webkit-backface-visibility: hidden;
    backface-visibility: hidden;
    transform: translateZ(0);
    -webkit-transform: translateZ(0);
    -moz-transform: translateZ(0);
    -ms-transform: translateZ(0);
    -o-transform: translateZ(0);
}

.flashcard-front {
    background: #fff;
    color: #fff;
    text-transform: uppercase;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    padding: 2rem;
}

.flashcard-back {
    background: #fff;
    color: #fff;
    -webkit-transform: rotateX(180deg);
    transform: rotateX(180deg);
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    padding: 2rem;
    text-wrap: pretty;
}

.flashcard-front:after,
.flashcard-back:after {
    content: '';
    height: calc(100% - 16px);
    width: calc(100% - 16px);
    position: absolute;
    top: 8px;
    left: 8px;
    -webkit-box-shadow: 0 0 0 8px rgba(255, 255, 255, 1);
    box-shadow: 0 0 0 8px rgba(255, 255, 255, 1);
    border-radius: 8px;
    background: -o-radial-gradient(center, ellipse, rgba(255, 255, 255, 0.1) 0%, rgba(0, 0, 0, 0.35) 100%);
    background: radial-gradient(ellipse at center, rgba(255, 255, 255, 0.1) 0%, rgba(0, 0, 0, 0.35) 100%);
    opacity: 0.75;
}

.flashcard-front:before,
.flashcard-back:before {
    content: '';
    height: calc(100% - 16px);
    width: calc(100% - 16px);
    position: absolute;
    top: 8px;
    left: 8px;
    background: transparent;
    -webkit-box-shadow: 0 0 0 8px rgba(255, 255, 255, 1);
    box-shadow: 0 0 0 8px rgba(255, 255, 255, 1);
    border-radius: 8px;
}

.flashcard-front:before {
    background: rgba(227, 24, 55, 1);
}

.flashcard-back:before {
    background: #333;
}

.flashcard.rendered {
    opacity: 1;
    -webkit-transform: translate3d(0, 0, 0) rotate(0);
    transform: translate3d(0, 0, 0) rotate(0);
}

.flip .flashcard-inner {
    -webkit-transform: rotateX(180deg);
    transform: rotateX(180deg);
}

.flashcard-front-content,
.flashcard-back-content {
    position: relative;
    z-index: 3;
}

.flashcard.rendered {
    -webkit-filter: blur(0);
    filter: blur(0);
}

.flashcard[data-order="10"].rendered {
    -webkit-transform: translate3d(0, 0, 0) rotate(0) scale(1);
    transform: translate3d(0, 0, 0) rotate(0) scale(1);
}

.flashcard[data-order="9"].rendered {
    -webkit-transform: translate3d(0, 3px, 0) rotate(0) scale(.99);
    transform: translate3d(0, 3px, 0) rotate(0) scale(.99);
}

.flashcard[data-order="8"].rendered {
    -webkit-transform: translate3d(0, 6px, 0) rotate(0) scale(.97);
    transform: translate3d(0, 6px, 0) rotate(0) scale(.97);
}

.flashcard[data-order="7"].rendered {
    -webkit-transform: translate3d(0, 9px, 0) rotate(0) scale(.96);
    transform: translate3d(0, 9px, 0) rotate(0) scale(.96);
}

.flashcard[data-order="6"].rendered {
    -webkit-transform: translate3d(0, 12px, 0) rotate(0) scale(.95);
    transform: translate3d(0, 12px, 0) rotate(0) scale(.95);
}

.flashcard[data-order="5"].rendered {
    -webkit-transform: translate3d(0, 15px, 0) rotate(0) scale(.94);
    transform: translate3d(0, 15px, 0) rotate(0) scale(.94);
}

.flashcard[data-order="4"].rendered {
    -webkit-transform: translate3d(0, 18px, 0) rotate(0) scale(.93);
    transform: translate3d(0, 18px, 0) rotate(0) scale(.93);
}

.flashcard[data-order="3"].rendered {
    -webkit-transform: translate3d(0, 21px, 0) rotate(0) scale(.92);
    transform: translate3d(0, 21px, 0) rotate(0) scale(.92);
}

.flashcard[data-order="2"].rendered {
    -webkit-transform: translate3d(0, 24px, 0) rotate(0) scale(.91);
    transform: translate3d(0, 24px, 0) rotate(0) scale(.91);
}

.flashcard[data-order="1"].rendered {
    -webkit-transform: translate3d(0, 27px, 0) rotate(0) scale(.90);
    transform: translate3d(0, 27px, 0) rotate(0) scale(.90);
}

.flashcard.removed {
    -webkit-transform: translate3d(-150%, 0, 0) rotate(-15deg) scale(1) !important;
    transform: translate3d(-150%, 0, 0) rotate(-15deg) scale(1) !important;
}

#flashcard-progress {
    margin: 0 auto;
    max-width: 90%;
    position: relative;
    z-index: 2;
    opacity: 1;
    -webkit-transition: all .75s cubic-bezier(0.4, 0.0, 0.6, 1);
    -o-transition: all .75s cubic-bezier(0.4, 0.0, 0.6, 1);
    transition: all .75s cubic-bezier(0.4, 0.0, 0.6, 1);
}

.game-finished #flashcard-progress {
    opacity: 0;
}

#flashcard-progress-indicators {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: horizontal;
    -webkit-box-direction: normal;
    -ms-flex-direction: row;
    flex-direction: row;
    -ms-flex-wrap: nowrap;
    flex-wrap: nowrap;
    width: 100%;
    margin: 1rem 0 0 0;
    padding: 0;
    list-style: none;
    opacity: 0;
    -webkit-transition: all .75s cubic-bezier(0.4, 0.0, 0.6, 1);
    -o-transition: all .75s cubic-bezier(0.4, 0.0, 0.6, 1);
    transition: all .75s cubic-bezier(0.4, 0.0, 0.6, 1);
}

.game-started #flashcard-progress-indicators {
    opacity: 1;
}

#flashcard-progress-indicators li {
    padding: 0.5rem;
    -webkit-box-flex: 1;
    -ms-flex: auto;
    flex: auto;
}

#flashcard-progress-indicators li span {
    background: rgba(0, 0, 0, 0.3);
    height: 3px;
    width: 100%;
    display: block;
    border-radius: 8px;
    overflow: hidden;
    position: relative;
}

#flashcard-progress-indicators li span:before {
    content: '';
    position: absolute;
    height: 100%;
    width: 100%;
    -webkit-transform: translate(-100%, 0);
    -ms-transform: translate(-100%, 0);
    transform: translate(-100%, 0);
    -webkit-transition: all .75s cubic-bezier(0.4, 0.0, 0.6, 1);
    -o-transition: all .75s cubic-bezier(0.4, 0.0, 0.6, 1);
    transition: all .75s cubic-bezier(0.4, 0.0, 0.6, 1);
}

#flashcard-progress-indicators li.completed span:before {
    -webkit-transform: translate(0, 0);
    -ms-transform: translate(0, 0);
    transform: translate(0, 0);
    background: rgba(227, 24, 55, 1);
}

.flashcard h2 {
    margin: 0 auto;
    font-size: 4rem;
    color: #fff;
    line-height: 1;
}
.flashcard-back p {
    margin: 0 auto;
    font-size: 1.5rem;
    color: #fff;
    line-height: 1.2;
    font-weight: 700;
}
@media screen and (max-width:769px){
    .flashcard h2 {
        font-size: 3rem;
    }
}
@media screen and (max-width:479px){
    .flashcard h2 {
        font-size: 2.25rem;
    }
    .flashcard-back p {
        font-size: 1.25rem;
    }
}
.flashcard button {
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    background: transparent;
    border: 3px solid #fff;
    border-radius: 3em;
    padding: 0.5rem 1.5rem;
    margin: 2rem 0 0 0;
    line-height: 1;
    color: #fff;
    outline: none;
    text-transform: uppercase;
    cursor: pointer;
    -webkit-transition: all .25s ease;
    -o-transition: all .25s ease;
    transition: all .25s ease;
    font-weight: 700;
}

.flashcard .flashcard-front button:hover {
    background: #fff;
    color: rgba(227, 24, 55, 1);
}

#flashcard-finish-screen {
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    padding: 2rem;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
    font-size: 1.25rem;
    line-height: 1.45;
    z-index: 2;
    opacity: 0;
    visibility: hidden;
    text-align: center;
    -webkit-transition: all .25s cubic-bezier(0.4, 0.0, 0.6, 1);
    -o-transition: all .25s cubic-bezier(0.4, 0.0, 0.6, 1);
    transition: all .25s cubic-bezier(0.4, 0.0, 0.6, 1);
}

.game-finished #flashcard-finish-screen {
    opacity: 1;
    visibility: visible;
}

#flashcard-finish-screen a,
#flashcard-finish-screen a:visited {
    color: rgba(227, 24, 55, 1);
    text-decoration: none;
    font-weight: 600;
    -webkit-transition: all .25s ease;
    -o-transition: all .25s ease;
    transition: all .25s ease;
}

#flashcard-finish-screen a:hover,
#flashcard-finish-screen a:focus,
#flashcard-finish-screen a:visited {
    color: #333;
}

#flashcard-finish-screen button {
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    background: rgba(227, 24, 55, 1);
    border: none;
    line-height: 1;
    color: #fff;
    margin: 2rem auto 0 auto;
    outline: none;
    border-radius: 3em;
    padding: 0.5rem 1.5rem;
    text-transform: uppercase;
    cursor: pointer;
    -webkit-transition: all .25s ease;
    -o-transition: all .25s ease;
    transition: all .25s ease;
    font-weight: 700;
}